//
//  OffcnIMChatListViewController.h
//  classonline
//
//  Created by HX on 2020/10/14.
//  Copyright © 2020 offcn. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "OffcnIMModel.h"

NS_ASSUME_NONNULL_BEGIN

//消息总数回调
typedef void(^OffcnIMTotal_unread_number)(NSInteger num);

@interface OffcnIMChatListViewController : UIViewController

@property (nonatomic, assign) BOOL isNeedSearch;//是否需要搜索功能

@property (nonatomic, assign) BOOL isNeedFitTabBarHeight;//是否需要适配TabBar的高度

@property (nonatomic, assign) BOOL isShowNoWifiTip;//显示没网提示

//联系人列表---(key:user_id,value:OffcnIMUserList_listModel)
@property (nonatomic, strong) NSMutableDictionary<NSString *,OffcnIMUserList_listModel *> *addressListDic;


@property (nonatomic, copy) OffcnIMTotal_unread_number total_unread_number;//消息总数回调

//清空数据
-(void)clearData;

@end

NS_ASSUME_NONNULL_END
